std::bad_typeid(3)

NAME
std::bad_typeid -

SYNOPSIS

Inherits exception.

Detailed Description

If you use a NULL pointer in a typeid expression, this is thrown.

Definition at line 149 of file typeinfo.

  Public Member Functions
bad_typeid () throw ()
virtual const char * what () const throw ()

Member Function Documentation

  virtual const char* what () const throw () [virtual, inherited]

Returns a C-style character string describing the general cause of the current error.

Reimplemented in ios_base::failure, bad_weak_ptr, logic_error, and runtime_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.